# QSemaphore Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QSemaphore(int n)

### Constructor Properties

- prototype: The QSemaphore prototype object

### Prototype Object Properties

- void acquire(int n)
- int available()
- void release(int n)
- bool tryAcquire(int n)

### Instance Properties

QSemaphore objects have no special properties beyond those inherited from the QSemaphore prototype object.